Skip to content

Payout Method

The platform supports multiple payout options depending on the recipient’s account type and location. These may include:

  • Mobile Money
  • Bank Transfer
  • Wallet transfers

URL: {BaseURL}/channels

Field NameStructure/KeyTypeDescription
CurrencycurrencystringThe currency in which the payout will be made
ProviderproviderstringThe payment channel to be used for the transaction, e.g., mobile money (momo) or banks (ngbank, kebank, ghbank).

Merchants should select the appropriate payout method based on the recipient’s details and country.

php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL =>'{{BaseURL}}/channels',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
    "currency": "Currency",
    "provider": "Provider"
}',
  CURLOPT_HTTPHEADER => array(
    'Accept: application/json',
    'Content-Type: application/json',
    'Authorization: Bearer YOUR_SECRET_KEY'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
js
var request = require('request');
var options = {
  'method': 'POST',
  'url': '{{BaseURL}}/channels',
  'headers': {
    'Accept': 'application/json',
    'Content-Type': 'application/json',
    'Authorization: Bearer YOUR_SECRET_KEY'
  },
  body: JSON.stringify({
    "currency": "Currency",
    "provider": "Provider"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
bash
curl --location '{{BaseURL}}/channels' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_KEY'
--data '{
    "currency": "Currency",
    "provider": "Provider"
}'
Response